# Uses of Interface
com.sun.source.tree.ParenthesizedPatternTree

Packages that use ParenthesizedPatternTreePREVIEW
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ParenthesizedPatternTreePREVIEW in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type ParenthesizedPatternTreePREVIEW
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitParenthesizedPattern(ParenthesizedPatternTreePREVIEW node, P p)`
Preview.
Visits a ParenthesizedPatternTree node.

## Uses of ParenthesizedPatternTreePREVIEW in com.sun.source.util

Methods in com.sun.source.util with parameters of type ParenthesizedPatternTreePREVIEW
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitParenthesizedPattern(ParenthesizedPatternTreePREVIEW node, P p)`
Preview.
Visits a ParenthesizedPatternTree node.
`R`
TreeScanner.`visitParenthesizedPattern(ParenthesizedPatternTreePREVIEW node, P p)`
Preview.
Visits a ParenthesizedPatternTree node.